# Asterisk Project : Asterisk 12 ManagerAction_Originate

Added by wikibot , edited by wikibot on Aug 29, 2013

# Originate

### Synopsis

Originate a call.

### Description

Generates an outgoing call to a Extension/Context/Priority or Application/Data

### Syntax

    Action: Originate
    ActionID: <value>
    Channel: <value>
    Exten: <value>
    Context: <value>
    Priority: <value>
    Application: <value>
    Data: <value>
    Timeout: <value>
    CallerID: <value>
    Variable: <value>
    Account: <value>
    EarlyMedia: <value>
    Async: <value>
    Codecs: <value>

##### Arguments

- `ActionID` - ActionID for this transaction. Will be returned.
- `Channel` - Channel name to call.
- `Exten` - Extension to use (requires `Context` and `Priority`)
- `Context` - Context to use (requires `Exten` and `Priority`)
- `Priority` - Priority to use (requires `Exten` and `Context`)
- `Application` - Application to execute.
- `Data` - Data to use (requires `Application`).
- `Timeout` - How long to wait for call to be answered (in ms.).
- `CallerID` - Caller ID to be set on the outgoing channel.
- `Variable` - Channel variable to set, multiple Variable: headers are allowed.
- `Account` - Account code.
- `EarlyMedia` - Set to `true` to force call bridge on early media..
- `Async` - Set to `true` for fast origination.
- `Codecs` - Comma-separated list of codecs to use for this call.

### See Also

- Asterisk 12 ManagerEvent_OriginateResponse

### Import Version

This documentation was imported from Asterisk Version Unknown